##
##  pssh.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pssh
Summary:      Parallel SSH
URL:          http://www.theether.org/pssh/
Vendor:       Brent Chun, Andrew McNabb
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      MIT
Version:      2.3.1
Release:      20170222

#   list of sources
Source0:      https://files.pythonhosted.org/packages/source/p/pssh/pssh-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python, python-setup
PreReq:       OpenPKG, openpkg >= 20160101, python

%description
    This package provides parallel versions of the OpenSSH tools.
    Included in the distribution: Parallel ssh (pssh), Parallel scp
    (pscp), Parallel rsync (prsync), Parallel nuke (pnuke) and Parallel
    slurp (pslurp).

%track
    prog pssh = {
        version   = %{version}
        url       = https://pypi.python.org/pypi/pssh/2.3.1
        regex     = pssh-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build

%install
    %{l_prefix}/bin/python setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

